/profileactivations/{id}/cancellation · Profile Activation API
/profileactivations/{id}/cancellation
Laut Confluence ohne Verwendung; historischer Projektstand.
POST
/profileactivations/{id}/cancellationWith this resource, you can undo an activation of a Profile made by the previous resource. Please regard, that this resource is meant for cancellations only. It is not allowed to use this resource in case of returns.
Parameter
idstringErforderlichthe Id of the Profile whose activation you want to cancel.
'ab12345'Request-Header
DevKeyThe `DevKey` that has been provided by qnips, identifying you as a requestorSecurityTokenThis is an individual value for each `profileId`, it needs to be calculated using the algorithm described under 'Generating SecurityToken' of this API documentationOriginaler Blueprint-Ausschnitt
API Blueprint
### /profileactivations/{id}/cancellation [POST]
+ Parameters
+ id (string, `'ab12345'`) ... the Id of the Profile whose activation you want to cancel.
+ Request
+ Headers
DevKey : The `DevKey` that has been provided by qnips, identifying you as a requestor
SecurityToken : This is an individual value for each `profileId`, it needs to be calculated using the algorithm described under 'Generating SecurityToken' of this API documentation
+ Response 200
+ Body
in case of success, the response body will remain empty
+ Response 400
// HTTP-BadRequest: is returned in case you supplied an invalid profileId
{
"Message": "no data for your request"
}
+ Response 401
// HTTP-Unauthorized: is returned in case you supplied a wrong DevKey or no DevKey at all
{
"Message": "unknown or wrong DevKey"
}
+ Response 401
// HTTP-Unauthorized: is returned in case you supplied a wrong SecurityToken or no SecurityToken at all
{
"Message": "unknown or wrong SecurityToken"
}
+ Response 409
// HTTP-Conflict: is returned in case the balance of the profile is not equal to the starting balance
{
"Message": "not all requirements met"
}